<html>
    <head>
        <script src="http://localhost:8080/main.js"></script>
        <script type="module">
            satakuSocket.WebSocket.config("", "");
            satakuSocket.WebSocket.connect().then(()=>{
                satakuSocket.WebSocket.joinRoom()
                document.getElementById("join").href = `http://127.0.0.1:5501/#${satakuSocket.WebSocket.socket.id}`
                document.getElementById("button").addEventListener("click", ()=>{
                    const random = Math.random()
                    satakuSocket.WebSocket.sendMessage("random_number", {randomNumber: random})
                    document.getElementById("number").innerHTML = random
                })
            })
        </script>
    </head>
    <body>
        <a target="_blank" id="join">join</a>
        <button id="button">click me</button>
        <p id="number"></p>
    </body>
</html>